<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__dfu__enums" kind="group">
    <compoundname>group_dfu_enums</compoundname>
    <title>Enumerated Types</title>
      <sectiondef kind="enum">
      <memberdef id="group__group__dfu__enums_1gafcff247e9cb8dc6c1282873b0d2dae1b" kind="enum" prot="public" static="no">
        <name>cy_en_dfu_status_t</name>
        <enumvalue id="group__group__dfu__enums_1ggafcff247e9cb8dc6c1282873b0d2dae1ba225cb8ce9902215fa03c9b0c77ac6e23" prot="public">
          <name>CY_DFU_SUCCESS</name>
          <initializer>=                                   0x00u</initializer>
          <briefdescription>
<para>Correct status, No error. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__dfu__enums_1ggafcff247e9cb8dc6c1282873b0d2dae1ba5ec17ddd14f6e0a3ac1ad893d3cef065" prot="public">
          <name>CY_DFU_ERROR_VERIFY</name>
          <initializer>= CY_DFU_ID | CY_PDL_STATUS_ERROR | 0x02u</initializer>
          <briefdescription>
<para>Verification failed. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__dfu__enums_1ggafcff247e9cb8dc6c1282873b0d2dae1baf5a9d2e477350fb87bdeb68155539051" prot="public">
          <name>CY_DFU_ERROR_LENGTH</name>
          <initializer>= CY_DFU_ID | CY_PDL_STATUS_ERROR | 0x03u</initializer>
          <briefdescription>
<para>The length of received packet is outside of expected range. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__dfu__enums_1ggafcff247e9cb8dc6c1282873b0d2dae1ba86e79bb94c1d096f3d897816f96fcfe9" prot="public">
          <name>CY_DFU_ERROR_DATA</name>
          <initializer>= CY_DFU_ID | CY_PDL_STATUS_ERROR | 0x04u</initializer>
          <briefdescription>
<para>The data in the received packet is invalid. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__dfu__enums_1ggafcff247e9cb8dc6c1282873b0d2dae1baf79dc4ab2ec0a5a8bf54b7f890e03c79" prot="public">
          <name>CY_DFU_ERROR_CMD</name>
          <initializer>= CY_DFU_ID | CY_PDL_STATUS_ERROR | 0x05u</initializer>
          <briefdescription>
<para>Command is not recognized. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__dfu__enums_1ggafcff247e9cb8dc6c1282873b0d2dae1bacad1c5902859d988b3de84e954e9b229" prot="public">
          <name>CY_DFU_ERROR_CHECKSUM</name>
          <initializer>= CY_DFU_ID | CY_PDL_STATUS_ERROR | 0x08u</initializer>
          <briefdescription>
<para>The checksum does not match the expected value. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__dfu__enums_1ggafcff247e9cb8dc6c1282873b0d2dae1ba6f249e03bb0423c688c1112bfb9e8430" prot="public">
          <name>CY_DFU_ERROR_ADDRESS</name>
          <initializer>= CY_DFU_ID | CY_PDL_STATUS_ERROR | 0x0Au</initializer>
          <briefdescription>
<para>Wrong address. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__dfu__enums_1ggafcff247e9cb8dc6c1282873b0d2dae1badccb00d92664320cfae8448b0811eb09" prot="public">
          <name>CY_DFU_ERROR_TIMEOUT</name>
          <initializer>= CY_DFU_ID | CY_PDL_STATUS_ERROR | 0x40u</initializer>
          <briefdescription>
<para>Command timed out. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__dfu__enums_1ggafcff247e9cb8dc6c1282873b0d2dae1bae652f76c7eb8948ed28f2c3c73868e1f" prot="public">
          <name>CY_DFU_ERROR_UNKNOWN</name>
          <initializer>= CY_DFU_ID | CY_PDL_STATUS_ERROR | 0x0Fu</initializer>
          <briefdescription>
<para>Unknown DFU error, this shall not happen. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_dfu_status_t: </bold><linebreak />Used to return the statuses of most DFU SDK APIs.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1190" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-dfu/cy_dfu.h" bodystart="1170" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-dfu/cy_dfu.h" line="1171" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>